package com.github.polpetta.mezzotre.telegram.command;

import com.pengrad.telegrambot.model.Message;
import com.pengrad.telegrambot.model.Update;
import com.pengrad.telegrambot.model.User;
import java.util.Optional;

class Util {

  static Optional<Long> extractSenderId(Update update) {
    return Optional.ofNullable(update).map(Update::message).map(Message::from).map(User::id);
  }

  static Optional<String> extractText(Update update) {
    return Optional.ofNullable(update).map(Update::message).map(Message::text);
  }
}
